Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1596023 - Dangling symlink /usr/lib/debug/usr/.dwz in 3.1330.0-693.21.1.el7.x86_64/usr/share/gdb/auto-load/bin -> usr/bin
Summary: Dangling symlink /usr/lib/debug/usr/.dwz in 3.1330.0-693.21.1.el7.x86_64/usr/...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gdb
Version: 7.5
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: pre-dev-freeze
: 7.6
Assignee: Jan Kratochvil
QA Contact: Michal Kolar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-28 05:31 UTC by Landy
Modified: 2018-10-30 08:10 UTC (History)
6 users (show)

Fixed In Version: gdb-7.6.1-114.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 08:09:58 UTC
Target Upstream Version:


Attachments (Terms of Use)
rhbz1596023.patch (deleted)
2018-07-04 08:34 UTC, Jan Kratochvil
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3080 None None None 2018-10-30 08:10:28 UTC

Description Landy 2018-06-28 05:31:06 UTC
Description of problem:
Open symlink found.
lrwxrwxrwx 1 root root  7 Apr 24 10:57 /usr/share/gdb/auto-load/bin -> usr/bin
lrwxrwxrwx 1 root root  8 Apr 24 10:57 /usr/share/gdb/auto-load/sbin -> usr/sbin
usr/bin and usr/sbin don't exist.

Version-Release number of selected component (if applicable):
gdb-7.6.1-100.el7_4.1.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. ls -ldL /usr/share/gdb/auto-load/bin
2. ls -ldL /usr/share/gdb/auto-load/sbin

Actual results:
ls: cannot access /usr/share/gdb/auto-load/bin: No such file or directory

Expected results:
Target exists.

Additional info:
Similar bug report for Fedora: https://bugzilla.redhat.com/show_bug.cgi?id=999645

Comment 1 Landy 2018-06-28 05:31:52 UTC
System version: 3.10.0-693.21.1.el7.x86_64

Comment 2 Jan Kratochvil 2018-06-28 14:04:25 UTC
Dangling symlinks have been fixed by:
  https://src.fedoraproject.org/rpms/gdb/c/fbd3253d15a5a5119e2433e43357f8e9ef087931

But I do not see why it should be a real problem, do you have some case where the fix helps?

The fix has comment "mkdir to satisfy dangling symlinks build check" so maybe some Fedora build checking tool complained but I do not see that myself now.

Red Hat is sure trying to limit changes in stable RHEL releases which is what makes them stable.  This fix will be of course included in RHEL-8.0.

Comment 4 Landy 2018-06-29 01:45:46 UTC
I have been told that the dangling symlinks bring privilege escalation risk to the system and been asked to deal with them.

Comment 5 Jan Kratochvil 2018-06-29 08:42:50 UTC
QA: Not sure what test to make, this is outside of upstream GDB testsuite.
Maybe a test for dangling symlinks could be made in rpmbuild process but that may have many false positives.

Comment 7 Landy 2018-07-04 07:10:25 UTC
Hi, Jan,
Do we have an opportunity to inluce the fix to RHEL 7 package update? If yes, could we get the date?

Comment 8 Jan Kratochvil 2018-07-04 08:34:08 UTC
Created attachment 1456421 [details]
rhbz1596023.patch

I do not understand the "inluce" word. The fix is planned for RHEL-7.6 but there is no guarantee it will be in final RHEL-7.6. In no way I can disclose planned release date of anything, you can discuss that with TAM (Red Hat customer contact person).

If you want the fix itself it is attached. Please change Revision: if you rebuild your local gdb.rpm with that patch.

Comment 9 Michal Kolar 2018-07-10 07:28:40 UTC
Reproduced against gdb-7.6.1-110.el7 and verified gdb-7.6.1-114.el7.

Comment 11 errata-xmlrpc 2018-10-30 08:09:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3080


Note You need to log in before you can comment on or make changes to this bug.